XMLBigDecimal Class Reference
Inheritance diagram for XMLBigDecimal:

## Public Member Functions

| XMLBigDecimal (const XMLCh *const strValue, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Constructs a newly allocated `XMLBigDecimal` object that represents the value represented by the string. More...
| ~XMLBigDecimal ()
virtual XMLCh * | getRawData () const
| Return string representation of the decimal value. More...
virtual const XMLCh * | getFormattedString () const
| Return the original and converted value of the original data. More...
virtual int | getSign () const
| Returns the sign of this number. More...
const XMLCh * | getValue () const
unsigned int | getScale () const
unsigned int | getTotalDigit () const
XMLCh * | getIntVal () const
int | toCompare (const XMLBigDecimal &other) const
| Compares this object to the specified object. More...
void | setDecimalValue (const XMLCh *const strValue)
MemoryManager * | getMemoryManager () const
| XMLBigDecimal (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
Public Member Functions inherited from XMLNumber
virtual | ~XMLNumber ()
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## Static Public Member Functions

static int | compareValues (const XMLBigDecimal *const lValue, const XMLBigDecimal *const rValue, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
static XMLCh * | getCanonicalRepresentation (const XMLCh *const rawData, MemoryManager *const memMgr=XMLPlatformUtils::fgMemoryManager)
static void | parseDecimal (const XMLCh *const toParse, XMLCh *const retBuffer, int &sign, int &totalDigits, int &fractDigits, MemoryManager *const manager)
static void | parseDecimal (const XMLCh *const toParse, MemoryManager *const manager)
Static Public Member Functions inherited from XMLNumber
static XMLNumber * | loadNumber (XMLNumber::NumberType numType, XSerializeEngine &serEng)

## Additional Inherited Members

Public Types inherited from XMLNumber
enum | { LESS_THAN = -1, EQUAL = 0, GREATER_THAN = 1, INDETERMINATE = 2 }
enum | NumberType { Float, Double, BigDecimal, DateTime, UnKnown }
Protected Member Functions inherited from XMLNumber
| XMLNumber ()
| XMLNumber (const XMLNumber &)
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...

## Constructor & Destructor Documentation

XMLBigDecimal::XMLBigDecimal | ( | const XMLCh *const | strValue,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

Constructs a newly allocated `XMLBigDecimal` object that represents the value represented by the string.

Parameters

  strValue | the `String` to be converted to an `XMLBigDecimal`.
  manager | Pointer to the memory manager to be used to allocate objects.

Exceptions

  NumberFormatException | if the `String` does not contain a parsable XMLBigDecimal.

XMLBigDecimal::~XMLBigDecimal | ( |  | ) |

XMLBigDecimal::XMLBigDecimal | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |

## Member Function Documentation

static int XMLBigDecimal::compareValues | ( | const XMLBigDecimal *const | lValue,
|  | const XMLBigDecimal *const | rValue,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

static

static XMLCh* XMLBigDecimal::getCanonicalRepresentation | ( | const XMLCh *const | rawData,
|  | MemoryManager *const | memMgr = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

static

const XMLCh * XMLBigDecimal::getFormattedString | ( |  | ) | const

virtual

Return the original and converted value of the original data.

(applicable to double/float)

The internal buffer is returned directly, user is not required to delete the returned buffer

Implements XMLNumber.

XMLCh * XMLBigDecimal::getIntVal | ( |  | ) | const

References XERCES_CPP_NAMESPACE_END.

MemoryManager * XMLBigDecimal::getMemoryManager | ( |  | ) | const

XMLCh * XMLBigDecimal::getRawData | ( |  | ) | const

virtual

Return string representation of the decimal value.

A decimal point will be included as necessary. Similar to toString above, but the internal buffer is returned directly, user is not required to delete the returned buffer

Implements XMLNumber.

unsigned int XMLBigDecimal::getScale | ( |  | ) | const

int XMLBigDecimal::getSign | ( |  | ) | const

virtual

Returns the sign of this number.

-1 negative 0 zero 1 positive

Implements XMLNumber.

unsigned int XMLBigDecimal::getTotalDigit | ( |  | ) | const

const XMLCh * XMLBigDecimal::getValue | ( |  | ) | const

static void XMLBigDecimal::parseDecimal | ( | const XMLCh *const | toParse,
|  | XMLCh *const | retBuffer,
|  | int & | sign,
|  | int & | totalDigits,
|  | int & | fractDigits,
|  | MemoryManager *const | manager
| ) |  |

static

static void XMLBigDecimal::parseDecimal | ( | const XMLCh *const | toParse,
|  | MemoryManager *const | manager
| ) |  |

static

void XMLBigDecimal::setDecimalValue | ( | const XMLCh *const | strValue | ) |

int XMLBigDecimal::toCompare | ( | const XMLBigDecimal & | other | ) | const

Compares this object to the specified object.

Parameters

  other | the object to compare with.

Returns
  `-1` value is less than other's `0` value equals to other's `+1` value is greater than other's

The documentation for this class was generated from the following file:

- XMLBigDecimal.hpp